---

#! jobs/kernel-selftests.yaml
suite: kernel-selftests
testcase: kernel-selftests
category: functional
need_cpu: 2
need_memory: 2G
kernel-selftests:
  group: group-01
kernel_cmdline: kvm-intel.unrestricted_guest=0
job_origin: kernel-selftests.yaml

#! queue options
queue_cmdline_keys:
- branch
- commit
queue: bisect
testbox: lkp-csl-d01
tbox_group: lkp-csl-d01
job_file: "/lkp/jobs/scheduled/lkp-csl-d01/kernel-selftests-group-01-debian-12-x86_64-20240206.cgz-c1c2595bf89a-20240605-13486-3eyci0-0.yaml"
id: 1ac5dc4e1bd1b49073a56dac329aafde8d4338c8
queuer_version: "/zday/lkp"

#! /db/releases/20240531202845/lkp-src/hosts/lkp-csl-d01
model: Cascade Lake
nr_node: 1
nr_cpu: 36
memory: 32G
nr_ssd_partitions: 1
ssd_partitions: "/dev/disk/by-id/nvme-INTEL_SSDPEKNW010T8_PHNH119301NW1P0B-part3"
rootfs_partition: "/dev/disk/by-id/nvme-INTEL_SSDPEKNW010T8_PHNH119301NW1P0B-part4"
brand: Intel(R) Core(TM) i9-10980XE CPU @ 3.00GHz

#! /db/releases/20240531202845/lkp-src/include/category/functional
kmsg:
heartbeat:
meminfo:
kmemleak:

#! /db/releases/20240531202845/lkp-src/include/category/ALL
sanity-check:

#! /db/releases/20240531202845/lkp-src/include/queue/cyclic
commit: c1c2595bf89a145e63d08dbfa297951caaa91544

#! /db/releases/20240531202845/lkp-src/include/testbox/lkp-csl-d01
netconsole_port: 6685
ucode: '0x5003604'

#! /db/releases/20240531202845/lkp-src/include/kernel-selftests
need_kernel_version:
need_kconfig:
- DAMON: y
- DAMON_VADDR: y
- DAMON_PADDR: y
- DAMON_DBGFS: y
- DAMON_SYSFS: y
- DAMON_LRU_SORT: y
- DAMON_RECLAIM: y
- SECURITY_PATH: y
- SECURITY_LANDLOCK: y
- UDMABUF: y
- DMABUF_HEAPS: y
- DMABUF_HEAPS_SYSTEM: y
- BTRFS_FS: m
- CHECKPOINT_RESTORE: y
- DRM_DEBUG_SELFTEST: m
- EFIVAR_FS
- EXPERT: y
- LEDS_CLASS_MULTICOLOR: y
- GPIOLIB: y
- GPIO_CDEV: y
- GPIO_MOCKUP: m
- GPIO_SIM: m
- IMA: y
- IMA_APPRAISE: y
- IMA_ARCH_POLICY: y
- IR_IMON_DECODER: m
- IR_SHARP_DECODER: m
- LIRC: y
- LKDTM: y
- SECURITYFS: y
- TEST_BITMAP
- TEST_KMOD: m
- TEST_LKM: m
- TEST_PRINTF: m
- TUN: m
- WW_MUTEX_SELFTEST: m
- XFS_FS: m
- DMA_MAP_BENCHMARK: y
- TEST_FPU: m
- IOMMUFD
- IOMMUFD_TEST: y
- DEBUG_KERNEL: y
- FAULT_INJECTION: y
- FPROBE: y
initrds:
- linux_headers
- linux_selftests
kconfig: x86_64-rhel-8.3-kselftests
enqueue_time: 2024-06-05 08:16:59.005056548 +08:00
_rt: "/result/kernel-selftests/group-01/lkp-csl-d01/debian-12-x86_64-20240206.cgz/x86_64-rhel-8.3-kselftests/gcc-13/c1c2595bf89a145e63d08dbfa297951caaa91544"
compiler: gcc-13
head_commit: 34e0fd8c2486fb4630754ab76ed9e16e0630850c
base_commit: c3f38fa61af77b49866b006939479069cd451173
branch: linux-devel/devel-hourly-20240603-172307
rootfs: debian-12-x86_64-20240206.cgz

#! schedule options
user: lkp
LKP_SERVER: internal-lkp-server
scheduler_version: "/lkp/lkp/.src-20240603-190051"
arch: x86_64
max_uptime: 6000
initrd: "/osimage/debian/debian-12-x86_64-20240206.cgz"
bootloader_append:
- root=/dev/ram0
- RESULT_ROOT=/result/kernel-selftests/group-01/lkp-csl-d01/debian-12-x86_64-20240206.cgz/x86_64-rhel-8.3-kselftests/gcc-13/c1c2595bf89a145e63d08dbfa297951caaa91544/0
- BOOT_IMAGE=/pkg/linux/x86_64-rhel-8.3-kselftests/gcc-13/c1c2595bf89a145e63d08dbfa297951caaa91544/vmlinuz-6.9.0-00002-gc1c2595bf89a
- branch=linux-devel/devel-hourly-20240603-172307
- job=/lkp/jobs/scheduled/lkp-csl-d01/kernel-selftests-group-01-debian-12-x86_64-20240206.cgz-c1c2595bf89a-20240605-13486-3eyci0-0.yaml
- user=lkp
- ARCH=x86_64
- kconfig=x86_64-rhel-8.3-kselftests
- commit=c1c2595bf89a145e63d08dbfa297951caaa91544
- kvm-intel.unrestricted_guest=0
- nmi_watchdog=0
- intremap=posted_msi
- max_uptime=6000
- LKP_SERVER=internal-lkp-server
- nokaslr
- selinux=0
- debug
- apic=debug
- sysrq_always_enabled
- rcupdate.rcu_cpu_stall_timeout=100
- net.ifnames=0
- printk.devkmsg=on
- panic=-1
- softlockup_panic=1
- nmi_watchdog=panic
- oops=panic
- load_ramdisk=2
- prompt_ramdisk=0
- drbd.minor_count=8
- systemd.log_level=err
- ignore_loglevel
- console=tty0
- earlyprintk=ttyS0,115200
- console=ttyS0,115200
- vga=normal
- rw
modules_initrd: "/pkg/linux/x86_64-rhel-8.3-kselftests/gcc-13/c1c2595bf89a145e63d08dbfa297951caaa91544/modules.cgz"
linux_headers_initrd: "/pkg/linux/x86_64-rhel-8.3-kselftests/gcc-13/c1c2595bf89a145e63d08dbfa297951caaa91544/linux-headers.cgz"
linux_selftests_initrd: "/pkg/linux/x86_64-rhel-8.3-kselftests/gcc-13/c1c2595bf89a145e63d08dbfa297951caaa91544/linux-selftests.cgz"
bm_initrd: "/osimage/deps/debian-12-x86_64-20240206.cgz/lkp_20240216.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/rsync-rootfs_20240301.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/kernel-selftests_20240508.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/kernel-selftests-x86_64-977d51cf-1_20240508.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/hw_20240216.cgz"
ucode_initrd: "/osimage/ucode/intel-ucode-20230906.cgz"
lkp_initrd: "/osimage/user/lkp/lkp-x86_64.cgz"
site: inn

#! /cephfs/db/releases/20240603142032/lkp-src/include/site/inn
LKP_CGI_PORT: 80
LKP_CIFS_PORT: 139
oom-killer:
watchdog:
job_initrd: "/lkp/jobs/scheduled/lkp-csl-d01/kernel-selftests-group-01-debian-12-x86_64-20240206.cgz-c1c2595bf89a-20240605-13486-3eyci0-0.cgz"
last_kernel: 5.13.0-rc1

#! user overrides
kernel: "/pkg/linux/x86_64-rhel-8.3-kselftests/gcc-13/c1c2595bf89a145e63d08dbfa297951caaa91544/vmlinuz-6.9.0-00002-gc1c2595bf89a"
result_root: "/result/kernel-selftests/group-01/lkp-csl-d01/debian-12-x86_64-20240206.cgz/x86_64-rhel-8.3-kselftests/gcc-13/c1c2595bf89a145e63d08dbfa297951caaa91544/0"

#! /cephfs/db/releases/20240604100039/lkp-src/include/site/inn
dequeue_time: 2024-06-05 08:57:44.226295720 +08:00
job_state: finished
loadavg: 8.09 14.26 9.77 1/479 59195
start_time: '1717549166'
end_time: '1717550226'
version: "/lkp/lkp/.src-20240603-190131:00295c40ade7:80b9c58c7d80"
